/*
* $Id: adminlayout.js 477 2008-07-07 03:15:14Z lukejee $
*/
Ext.namespace('NGMP.admin');
NGMP.admin.AdminWindow = function() {
	this.tabPanel = new Ext.TabPanel({
		titlebar:false,
		border:false,
		activeTab:0,
		tabPosition:'top',
		items:NGMP.moduleManager.getAllAdminPanels(),
		layoutOnTabChange:true
	});
	this.buttons = [{
		text:LANG_close,
		handler:function() {
			this.hide();
		},
		scope:this
	}];
	NGMP.admin.AdminWindow.superclass.constructor.call(this, {
		title:LANG_admin,
		layout:'fit',
		modal:true,
		minWidth:300,
		minHeight:300,
		closeAction:'hide',
		height:700,
		width:800,
		buttonAlign:'center',
	//	tbar: this.tb
		items:this.tabPanel
	});
};

Ext.extend(NGMP.admin.AdminWindow, Ext.Window, {
	show:function() {
		this.tabPanel.setActiveTab(0);
		NGMP.admin.AdminWindow.superclass.show.call(this);
	}
});
